package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class Ordinanti.
 * @see sicura.entities.Ordinanti
 * @author Hibernate Tools
 */
@Stateless
public class OrdinantiHome {

	private static final Log log = LogFactory.getLog(OrdinantiHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(Ordinanti transientInstance) {
		log.debug("persisting Ordinanti instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(Ordinanti persistentInstance) {
		log.debug("removing Ordinanti instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public Ordinanti merge(Ordinanti detachedInstance) {
		log.debug("merging Ordinanti instance");
		try {
			Ordinanti result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public Ordinanti findById(Integer id) {
		log.debug("getting Ordinanti instance with id: " + id);
		try {
			Ordinanti instance = entityManager.find(Ordinanti.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
